<?php

declare(strict_types=1);

namespace App\Message\Message;

use App\ApiResources\Organization\OrganizationDeletionRequest;

/**
 * Transmission d'une requête de création d'organisation au service dédié.
 */
class OrganizationDeletion
{
    public function __construct(
        private OrganizationDeletionRequest $organizationDeletionRequest,
    ) {
    }

    public function getOrganizationDeletionRequest(): OrganizationDeletionRequest
    {
        return $this->organizationDeletionRequest;
    }

    public function setOrganizationDeletionRequest(OrganizationDeletionRequest $organizationDeletionRequest): self
    {
        $this->organizationDeletionRequest = $organizationDeletionRequest;

        return $this;
    }
}
